<?php

namespace App\Validator;

use Zend\Validator\Hostname;


class Site extends Common 
{
    const DOMAIN = 'domain';
    
    protected $_validarors = [
        self::DOMAIN => Hostname::class
    ];
    
    protected $messageTemplates = [       
        self::DOMAIN => 'Invalid domain',
    ];   
    
    
    public function isValid($site) 
    {
        return parent::isValid($site);
    }
    
    protected function validateInstance($entity)
    {            
        return $entity instanceof \App\Entity\Site;
    }    
}
